body {
    margin: 0;
    padding: 0;
    font-family: "Roboto", sans-serif;
}

/* COMMON REUSED COMPONENTS AND CSS */

.vertical-line {
    border-left: 1px solid gray;
    opacity: 0.2;
    height: 45px;
}

hr {
    margin: 0;
}

.card-heading {
    color: rgb(16, 76, 151);
    font-weight: 700;
}

.card-text {
    font-weight: 400;
}

/* NAVBAR */

.link-button {
    background-color: transparent;
    border: none;
    display: inline-block;
    margin: 0 15px;
}

.nav-img {
    height: 50px;
    width: 75px;
}

.navbar-link {
    font-weight: 500;
}

.nav-item .nav-link.navbar-link:hover {
    color: gray;
}

.sign-in-icon {
    color: #1da1f2;
    margin-left: 5px;
}

/* HOTEL FILTER SECTION */

.filter-content {
    display: flex;
    margin: 0 20px;
    padding-top: 20px;
}

.location {
    display: flex;
    flex-direction: column;
    width: 50%;
}

.location small {
    font-weight: 700;
}

.destination {
    width: 100%;
    padding: 5px;
}

.start-date,
.end-date {
    margin-left: 25px;
}

.select-date {
    display: grid;
    margin: 5px 30px;
}

.date {
    font-size: 42px;
    font-weight: 700;
    color: rgb(16, 76, 151);
    grid-row: 1 / span 2;
    grid-column: 1;
}

.day {
    grid-column: 2;
    grid-row: 1;
    margin-bottom: 0;
    margin-left: 10px;
}

.month {
    grid-column: 2;
    grid-row: 2;
    margin-bottom: 0;
    margin-left: 10px;
}

.room-type button,
.special-rates button {
    width: 200px;
    margin: 20px 5px;
}

.find-hotel-btn {
    background-color: rgb(16, 76, 151);
    color: #ffffff;
    width: 200px;
    margin: 20px 5px;
}

.find-hotel-btn:hover {
    background-color: rgb(10, 57, 113);
    color: #ffffff;
}

/* SPECIAL OFFERS SECTION */

.special-offer {
    display: flex;
    justify-content: center;
    background-color: gainsboro;
    padding: 15px 0;
}

.special-offer h5 {
    margin: 0;
    padding: 0;
}

.special-offer-terms {
    font-size: 0.75em;
    text-decoration: underline;
}

.offer-pagination {
    justify-self: flex-end;
}

/* HOTEL CAROUSEL */

.hotel-carousel {
    margin-top: 25px;
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
}

.carousel-img {
    width: 70vw;
    border-radius: 6px;
}

.carousel-overlay {
    bottom: auto;
    top: 0;
    right: 0;
    left: auto;
    margin-right: 25px;
    margin-top: 25px;
    background-color: #000000;
    padding: 8px;
    font-size: 14px;
    opacity: 0.6;
}

.carousel-overlay-text {
    margin: 0;
    padding: 0;
}

.view-hotel-btn {
    background-color: rgb(16, 76, 151);
    padding: 8px 30px;
    color: #ffffff;
}

.view-hotel-btn:hover {
    background-color: rgb(10, 57, 113);
    color: #ffffff;
}

.hotel-carousel h1 {
    margin-top: 15px;
}

.hotel-carousel .card-text {
    margin-bottom: 15px;
}

/* HOTEL LOCATION */

.hotel-location-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 40px;
    padding-right: 40px;
    margin-top: 75px;
}

.hotel-location-wrapper p {
    margin-bottom: 15px !important;
}

.hotel-location-card-wrapper {
    border: none;
    margin-top: 10px;
}

.card-img {
    top: auto;
    text-align: center;
}

.hotel-location-img {
    height: 500px;
}

/* EXPERIENCE PACKAGE SECTION */

.experience-package-wrapper {
    margin-top: 20px;
    padding-left: 40px;
    padding-right: 40px;
}

.experience-package-wrapper p {
    margin-bottom: 15px !important;
}

.experience-package-card-wrapper {
    margin-top: 10px;
    margin-bottom: 10px;
    border: none;
}

.experience-package-wrapper .card-title {
    color: #ffffff;
}

/* HOTEL FEATURES */

.hotel-features {
    margin-top: 30px;
    margin-bottom: 30px;
    padding-left: 30px;
    padding-right: 30px;
}

.features-title {
    align-items: center;
    justify-content: center;
    border: none;
}

.hotel-features .vertical-line {
    opacity: 1;
    border-left: 1px solid rgb(16, 76, 151);
}

.feature-img img {
    width: 90%;
    height: 100%;
}

.feature-text {
    display: flex;
    align-items: center;
}

.hotel-features .tabs-btn {
    font-size: 28px;
    font-weight: 700;
    color: #000000;
    border: none;
    width: 275px;
    line-height: 1;
}

.hotel-features .tabs-btn.active {
    border-bottom: rgb(16, 76, 151) 8px solid;
}

/* EXPLORE CONTENT */

.explore-wrapper {
    padding: 0;
}

.explore-img {
    width: 100%;
    height: 40vh;
}

.explore-content {
    padding: 40px;
    text-align: center;
    background-color: rgba(246, 246, 246, 0.93);
    position: relative;
    top: -125px;
}

.explore-content h1 {
    margin-bottom: 10px;
}

.explore-content p {
    margin-bottom: 25px !important;
    margin-top: 25px !important;
}

.explore-btn {
    padding: 8px 20px;
    background-color: rgb(16, 76, 151);
    color: #ffffff;
}

.explore-btn:hover {
    background-color: rgb(10, 57, 113);
    color: #ffffff;
}

/* FOOTER SECTION */

.footer {
    padding: 15px 40px;
}

.hotel-number {
    color: rgb(10, 57, 113);
    font-weight: 500;
}

.footer-link {
    list-style: none;
    color: rgb(10, 57, 113);
    text-decoration: underline;
    padding-top: 10px;
    font-size: 13px;
}

.twitter-icon {
    color: #1da1f2;
}

.facebook-icon {
    color: #4267b2;
}

.instagram-icon {
    color: #c13584;
}

.pinterest-icon {
    color: #e60023;
}

.youtube-icon {
    color: #ff0000;
}

.social-media i {
    font-size: 32px;
    margin: 10px;
}
